Get a country by id
curl --request GET \
--url https://api.ceibo.me/v1/countries/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ceibo.me/v1/countries/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ceibo.me/v1/countries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ceibo.me/v1/countries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ceibo.me/v1/countries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ceibo.me/v1/countries/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ceibo.me/v1/countries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 10,
"name": "Argentina",
"iso2": "AR",
"iso3": "ARG",
"localName": "República Argentina",
"continent": "South America",
"officialVisaPage": "https://www.argentina.gob.ar/interior/migraciones",
"primaryLanguageId": 1,
"holidaysWebsiteUrl": "https://www.argentina.gob.ar/feriados",
"officialWebsiteUrl": "https://www.argentina.gob.ar",
"primaryImageUrl": "https://media.ceibo.me/images/country/10/gallery/abc.jpg"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Country with id 9999 not found",
"timestamp": "2026-04-30T10:00:00.000Z",
"path": "/v1/countries/9999"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Country with id 9999 not found",
"timestamp": "2026-04-30T10:00:00.000Z",
"path": "/v1/countries/9999"
}Countries
Get a country
GET
/
countries
/
{id}
Get a country by id
curl --request GET \
--url https://api.ceibo.me/v1/countries/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ceibo.me/v1/countries/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ceibo.me/v1/countries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ceibo.me/v1/countries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ceibo.me/v1/countries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ceibo.me/v1/countries/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ceibo.me/v1/countries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 10,
"name": "Argentina",
"iso2": "AR",
"iso3": "ARG",
"localName": "República Argentina",
"continent": "South America",
"officialVisaPage": "https://www.argentina.gob.ar/interior/migraciones",
"primaryLanguageId": 1,
"holidaysWebsiteUrl": "https://www.argentina.gob.ar/feriados",
"officialWebsiteUrl": "https://www.argentina.gob.ar",
"primaryImageUrl": "https://media.ceibo.me/images/country/10/gallery/abc.jpg"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Country with id 9999 not found",
"timestamp": "2026-04-30T10:00:00.000Z",
"path": "/v1/countries/9999"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Country with id 9999 not found",
"timestamp": "2026-04-30T10:00:00.000Z",
"path": "/v1/countries/9999"
}Authorizations
API key minted at developer.ceibo.me. Send on every request.
Path Parameters
Response
The country.
Example:
10
Example:
"Argentina"
Required string length:
2Example:
"AR"
Required string length:
3Example:
"ARG"
Example:
"República Argentina"
Available options:
Africa, Antarctica, Asia, Europe, North America, Oceania, South America, null Example:
"South America"
Example:
"https://www.argentina.gob.ar/interior/migraciones"
Example:
1
Example:
"https://www.argentina.gob.ar/feriados"
Example:
"https://www.argentina.gob.ar"
First photo of the country's gallery, for cards and thumbnails. null when the country has no gallery photos. Returned by GET /countries only.
Example:
"https://media.ceibo.me/images/country/10/gallery/abc.jpg"
Was this page helpful?